Bug 1305255 - [abrt] WARNING: CPU: 0 PID: 23372 at include/drm/drm_crtc.h:1577 drm_helper_choose_encoder_dpms+0x8a/0x90 [drm_kms_helper]() [drm_kms_helper]
[abrt] WARNING: CPU: 0 PID: 23372 at include/drm/drm_crtc.h:1577 drm_helper_c...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1d25b767c734f9c3e58a0b4b502...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-06 08:00 EST by Florian Kisser
Modified: 2016-12-20 13:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:29:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (121.24 KB, text/plain)
2016-02-06 08:01 EST, Florian Kisser
no flags Details
Protect call to drm_helper_connector_dpms by mutexes (1.01 KB, patch)
2016-03-20 15:55 EDT, Juha Nikkanen
no flags Details | Diff

  None (edit)
Description Florian Kisser 2016-02-06 08:00:55 EST
Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 0 PID: 23372 at include/drm/drm_crtc.h:1577 drm_helper_choose_encoder_dpms+0x8a/0x90 [drm_kms_helper]()
Modules linked in: cfg80211 dm_crypt rfcomm fuse cmac xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge stp llc ebtable_filter ebtable_nat ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_mangle ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_mangle iptable_raw bnep kvm_amd kvm btusb btrtl crct10dif_pclmul btbcm crc32_pclmul btintel bluetooth eeepc_wmi asus_wmi sparse_keymap rfkill joydev snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel k10temp fam15h_power snd_hda_codec snd_hda_core edac_mce_amd
 snd_hwdep shpchp edac_core snd_seq snd_seq_device i2c_piix4 snd_pcm wmi snd_timer snd video acpi_cpufreq tpm_tis soundcore tpm hid_roccat_ryos hid_roccat_koneplus hid_roccat hid_roccat_common btrfs xor amdkfd amd_iommu_v2 radeon raid6_pq crc32c_intel i2c_algo_bit drm_kms_helper r8169 ttm serio_raw mii drm uas usb_storage fjes nct6775 hwmon_vid
CPU: 0 PID: 23372 Comm: kworker/0:1 Not tainted 4.3.4-300.fc23.x86_64 #1
Hardware name: System manufacturer System Product Name/A88X-PRO, BIOS 2301 11/03/2015
Workqueue: events radeon_dp_work_func [radeon]
 0000000000000000 000000008afbba8f ffff880013c5bd28 ffffffff813a625f
 0000000000000000 ffff880013c5bd60 ffffffff810a07c2 ffff880409134800
 ffff880409221600 ffff8804076af000 0000000000000003 ffff88040881e4b8
Call Trace:
 [<ffffffff813a625f>] dump_stack+0x44/0x55
 [<ffffffff810a07c2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a090a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa00f32ca>] drm_helper_choose_encoder_dpms+0x8a/0x90 [drm_kms_helper]
 [<ffffffffa00f33bb>] drm_helper_connector_dpms+0x4b/0x100 [drm_kms_helper]
 [<ffffffffa0156557>] radeon_connector_hotplug+0xf7/0x100 [radeon]
 [<ffffffffa016496f>] radeon_dp_work_func+0x3f/0x60 [radeon]
 [<ffffffff810b8cde>] process_one_work+0x19e/0x3f0
 [<ffffffff810b8f7e>] worker_thread+0x4e/0x450
 [<ffffffff8177d161>] ? __schedule+0x371/0x980
 [<ffffffff810b8f30>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810b8f30>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810bede8>] kthread+0xd8/0xf0
 [<ffffffff810bed10>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff81781b9f>] ret_from_fork+0x3f/0x70
 [<ffffffff810bed10>] ? kthread_worker_fn+0x160/0x160
Comment 1 Florian Kisser 2016-02-06 08:01:04 EST
Created attachment 1121637 [details]
File: dmesg
Comment 2 Juha Nikkanen 2016-03-20 15:55 EDT
Created attachment 1138358 [details]
Protect call to drm_helper_connector_dpms by mutexes
Comment 3 Juha Nikkanen 2016-03-20 16:03:50 EDT
I took kernel 4.5-rc7 + git checkout f414ca6. Made and applied proposed patch. Tested several suspend - resume cycles and so far I were not able to reproduce above mentioned warning. Also messages:
 [drm:radeon_dp_link_train [radeon]] *ERROR* channel eq failed: 5 tries
 [drm:radeon_dp_link_train [radeon]] *ERROR* channel eq failed

seems to be gone. Thanks to Ben Skeggs in inspiring me into this achievement!
https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/drivers/gpu/drm/nouveau/nouveau_connector.c?id=0a882cad
Comment 4 Fedora End Of Life 2016-11-24 10:25:23 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 13:29:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.